com.sleepycat.db

## Class ReplicationDuplicateMasterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sleepycat.db.DatabaseException
      - - com.sleepycat.db.ReplicationDuplicateMasterException

- All Implemented Interfaces:
    java.io.Serializable

      public class ReplicationDuplicateMasterException
      extends DatabaseException

  The replication group has more than one master. The application should reconfigure itself as a client by calling the `Environment.startReplication` method, and then call for an election by calling `Environment.electReplicationMaster`.
  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods inherited from class com.sleepycat.db.DatabaseException

      `getEnvironment, getErrno, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.